Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

identityId
string
required

The ID of the machine identity to update the auth method for.

Body

application/json
caCertificate
string

The PEM-encoded CA certificate to validate client certificates.

Required string length: 1 - 10240
allowedCommonNames
string | null

The comma-separated list of trusted common names that are allowed to authenticate with Infisical.

Minimum string length: 1
allowedSubjectAltNames
string[] | null

The comma-separated list of trusted subject alternative names that are allowed to authenticate with Infisical. Prefix entries by type (URI:, DNS:, IP:, EMAIL:). Bare entries are treated as DNS names.

Minimum string length: 1
accessTokenTrustedIps
object[]

The new IPs or CIDR ranges that access tokens can be used from.

Minimum array length: 1
accessTokenTTL
integer

The new lifetime for an access token in seconds.

Required range: 0 <= x <= 315360000
accessTokenNumUsesLimit
integer

The new maximum number of times that an access token can be used.

Required range: x >= 0
accessTokenMaxTTL
integer

The new maximum lifetime for an access token in seconds.

Required range: 0 <= x <= 315360000

Response

Default Response

identityTlsCertAuth
object
required